Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

Google Cloud Key APIs

Updating All Versions of a Google Cloud Key

search

Please Note:

Updating All Versions of a Google Cloud Key

Use the get /v1/cckm/google/update-all-versions-jobs API to update all versions of a Google Cloud key.

Syntax

curl -k '<IP>/api/v1/cckm/google/update-all-versions-jobs' -H 'Authorization: Bearer AUTHTOKEN' -H 'Content-Type: application/json' --data-binary $'{\n  "key_id": "<key_id>",\n  "operation": "<operation>"\n}' --compressed

Request Parameters

Parameter Type Description
AUTHTOKEN string Authorization token.
key_id string ID of the Google Cloud key whose all versions are to be updated.
operation string Operation to be performed on all versions of the Google Cloud key. The operation can be:
• enable: Enable all versions of the Google Cloud key.
• disable: Disable all versions of the Google Cloud key.
• schedule_destroy: Schedule destruction of all versions of the Google Cloud key. A scheduled destruction can be canceled by running cancel_destroy described below.
• cancel_destroy: Cancel scheduled destruction of all versions of the Google Cloud key. You can perform this operation if schedule_destroy has already been performed on the key versions.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/google/update-all-versions-jobs' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiI0MmFmZDExNy02YzllLTRhNGUtOTAwYS1lYjlhNDNjYWE5ZDIiLCJzdWIiOiJsb2NhbHwzMTI5ODdkMS0wOWNiLTQxZTEtOThmNy1jZjRhNzgwNTZiMTMiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiNDVmOWE3NWUtMzI1NC00NWJkLWE0NzYtOWU2NWUyNjdmNGVkIiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6IjdiYzNkOWM4LWRiYTQtNDVmMy05YWNiLWI3NGM2MzQyYzYyMCIsImlhdCI6MTYxNDc1MTg1MSwiZXhwIjoxNjE0NzUyMTUxfQ.ahdxfM7-WA4u7sotHy6qelc9MkoZytst7oZWsvE7Cr0' -H 'Content-Type: application/json' --data-binary $'{\n  "key_id": "ecc73bfb-7605-4263-abb8-84fe431d35fb",\n  "operation": "disable"\n}' --compressed

Example Response

{
    "id": "778a1024-dc18-49cb-833b-cfd6c000c090",
    "uri": "kylo:kylo:cckm:update_all_versions:778a1024-dc18-49cb-833b-cfd6c000c090",
    "account": "kylo:kylo:admin:accounts:kylo",
    "createdAt": "2021-05-05T07:33:44.18378401Z",
    "updatedAt": "2021-05-05T07:33:44.181732885Z",
    "overall_status": "in_progress",
    "job_id": "778a1024-dc18-49cb-833b-cfd6c000c090",
    "key_id": "ecc73bfb-7605-4263-abb8-84fe431d35fb",
    "version_count": 2,
    "operation": "disable",
    "abort": false
}

The sample output displays that the operation "disable" on two versions ("version_count": 2,) of a Google Cloud key is "in_progress".

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.